format_version: '1.0'

repository_url: https://github.com/radareorg/radare2

sequence:
  base_version:
    input_file: 'a8d3136b.zip'
    commit_sha1: a8d3136bd38f377141aba2bcc0c69306cab7c6b3
  fix_attempt:
    - input_file: '2cf4cd6b.diff'
      commit_sha1: 2cf4cd6b031f729fdae509741c20af7d593bdcf2
    - input_file: '8c4925ff.diff'
      commit_sha1: 8c4925ff6e799272faecd83501f15db2e60a6638
    
  expected_fix:
    input_file: '6fa7d444.diff'
    commit_sha1: 6fa7d44482d2c48ccb0aa76043f8fdb727fec741

  
classification: no partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/radareorg/radare2/issues/1289
